/**
 * ---------- ПРИМЕРЫ ES6 --------------- *
 *           var let const                *
 * ------ объявление переменных --------- *
 */
// в таком случае переменная a
// будет заново создана
var a = 1
var a = 2
console.log(a);

// в этом случае возникнет ошибка
let b = 1
let b = 2
console.log(b);

/**
 * -------------------------------------- *
 *        блочная доступность             *
 * -------------------------------------- *
 */
// Переменная var доступна везде в рамках функции, где она объявлена.
// Однако, так как у let видимость “блочная” то следующий код
// будет работать корректно
let x = 0;
if (true) {
    let x = 1;
    console.log(x);
    // выведет 1
}
// выведет 0
console.log(x);

/**
 * -------------------------------------- *
 *              const                     *
 * -------------------------------------- *
 */
// Область видимости переменных const такая же как и у let,
// однако такие переменные неизменны, то есть им нельзя присвоить новое значение
const c = 1
c = 0 // возникает ошибка
